Subject: Re: Cannot use cg-clone over http after packing a public repo

From: Martin Langhoff <[email-masked]>
Date: Fri, 19 Aug 2005 15:55:41 +1200

Resolved. I was missing a call to git-update-server-info. It fails to
make the objects/info directory, so that had to be done manually.

  GIT_DIR=~/public_html/repos/moodle.git git-update-server-info 
  error: cannot open
/home/martin/public_html/repos/moodle.git/objects/info/packs+

  mkdir ~/public_html/repos/moodle.git/objects/info
  GIT_DIR=~/public_html/repos/moodle.git git-update-server-info 

And all is well. I'll update the documentation to note that dumb
protocols will need this. Looking at server-info.c, there _is_ a call
to safe_create_leading_directories(), not sure why it'd fail. I'm not
much of a C jockey, really.

This is with git as of a couple of ours ago:
66e06b6a17f1074401ad23f4b2a8a146b2900333

cheers,

martin